searchData={"items":[{"type":"module","title":"MetaHeexComponent","doc":"MetaHeexComponent provides dynamic meta tag management for Phoenix applications.","ref":"MetaHeexComponent.html"},{"type":"module","title":"Usage in LiveView - MetaHeexComponent","doc":"def mount(_params, _session, socket) do\n      {:ok,\n       MetaHeexComponent.assign_meta(socket,\n         page_title: \"Dashboard\",\n         meta_description: \"Your dashboard overview\"\n       )}\n    end","ref":"MetaHeexComponent.html#module-usage-in-liveview"},{"type":"module","title":"Usage in Controllers - MetaHeexComponent","doc":"def index(conn, _params) do\n      conn\n      |> MetaHeexComponent.put_meta(\n        meta_description: \"Welcome to our homepage\",\n        og_title: \"Homepage\"\n      )\n      |> render(\"index.html\")\n    end","ref":"MetaHeexComponent.html#module-usage-in-controllers"},{"type":"function","title":"MetaHeexComponent.assign_meta/2","doc":"Assigns meta tag values to the socket.","ref":"MetaHeexComponent.html#assign_meta/2"},{"type":"function","title":"MetaHeexComponent.live_meta_tags/1","doc":"Renders meta tags component.","ref":"MetaHeexComponent.html#live_meta_tags/1"},{"type":"function","title":"MetaHeexComponent.put_meta/2","doc":"Assigns meta values for controller-rendered templates.","ref":"MetaHeexComponent.html#put_meta/2"},{"type":"module","title":"MetaHeexComponent.Components.MetaTags","doc":"Provides components for rendering meta tags in Phoenix applications.","ref":"MetaHeexComponent.Components.MetaTags.html"},{"type":"function","title":"MetaHeexComponent.Components.MetaTags.assign_meta/2","doc":"Assigns meta tag values to the socket.","ref":"MetaHeexComponent.Components.MetaTags.html#assign_meta/2"},{"type":"function","title":"MetaHeexComponent.Components.MetaTags.live_meta_tags/1","doc":"","ref":"MetaHeexComponent.Components.MetaTags.html#live_meta_tags/1"},{"type":"function","title":"Attributes - MetaHeexComponent.Components.MetaTags.live_meta_tags/1","doc":"* `meta_description` (`:string`) - Primary meta description for SEO.\n* `meta_keywords` (`:string`) - Keywords for SEO.\n* `author` (`:string`) - Content author.\n* `og_title` (`:string`) - Open Graph title.\n* `og_description` (`:string`) - Open Graph description, falls back to meta_description.\n* `og_type` (`:string`) - Open Graph type (e.g., 'website', 'article').\n* `og_image` (`:string`) - Open Graph image URL.\n* `og_url` (`:string`) - Open Graph URL.\n* `twitter_card` (`:string`) - Twitter card type (e.g., 'summary_large_image', 'summary').\n* `twitter_site` (`:string`) - Twitter @username for the website.\n* `twitter_title` (`:string`) - Twitter title, falls back to og_title.\n* `twitter_description` (`:string`) - Twitter description, falls back to og_description.\n* `twitter_image` (`:string`) - Twitter image URL.\n* `canonical_url` (`:string`) - Canonical URL for SEO.\n* `locale` (`:string`) - Content language (e.g., 'en', 'es').\n* `viewport` (`:string`) - Viewport meta tag content. Common values include:\n  - \"width=device-width, initial-scale=1\"\n  - \"width=device-width, initial-scale=1, shrink-to-fit-no\"\n  - \"width=device-width, initial-scale=1, maximum-scale=1\"\n\n* `robots` (`:string`) - Robots meta tag content (e.g., 'index,follow', 'noindex,nofollow').\n* `additional_meta_tags` (`:list`) - List of additional meta tags to be rendered. Defaults to `[]`.","ref":"MetaHeexComponent.Components.MetaTags.html#live_meta_tags/1-attributes"},{"type":"type","title":"MetaHeexComponent.Components.MetaTags.meta_tag/0","doc":"","ref":"MetaHeexComponent.Components.MetaTags.html#t:meta_tag/0"},{"type":"module","title":"MetaHeexComponent.Config","doc":"Configuration handling for MetaHeexComponent.","ref":"MetaHeexComponent.Config.html"},{"type":"function","title":"MetaHeexComponent.Config.get_defaults/0","doc":"Get configured defaults for meta tags.","ref":"MetaHeexComponent.Config.html#get_defaults/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}